<link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css"><link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css">

<%= form_with(model: student_mark, local: true) do |form| %>
  <% if student_mark.errors.any? %>
    <div id="error_explanation">
      <h2><%= pluralize(student_mark.errors.count, "error") %> prohibited this student_mark from being saved:</h2>

      <ul>
        <% student_mark.errors.full_messages.each do |message| %>
          <li><%= message %></li>
        <% end %>
      </ul>
    </div>
  <% end %>
  <div class="container">
    <div class="row">
      <div class="col-4 form-group row">
        <div class="col-md-4">
          <%= form.label :student, class: "col-form-label" %>
        </div>
        <div class="col-md-8">
          <%= form.collection_select(:student_id,Student.all, :id,:stud_name, {prompt: true}, {id: :student_dropdown}) %>
        </div>
      </div>
    </div>

    <div class="row">
      <div class="col-4 form-group row">
        <div class="col-md-4">
          <%= form.label :subject, class: "col-form-label" %>
        </div>
        <div class="col-md-8">
          <%#= form.collection_select(:subject_id,Subject.all, :id,:sub_name, {prompt: true}, {id: :subject_dropdown}) %>
          <%= form.text_field :sub_name, value: Subject.find_by(user_id: current_user.id).sub_name, :readonly => true %>
          <%= form.hidden_field :subject_id, value: Subject.find_by(user_id: current_user.id).id%>
        </div>
      </div>
    </div>

    <div class="row">
      <div class="col-4 form-group row">
        <div class="col-md-4">
          <%= form.label :mark, class: "col-form-label" %>
        </div>
        <div class="col-md-8">
          <%= form.number_field :mark, step: :any, id: :student_mark, class: "form-control", required: true %>
        </div>
      </div>
    </div>

    <%= form.hidden_field :user_id, value: current_user.id  %>

    <div class="actions">
      <%= form.submit "Submit", class:"btn btn-primary float-right" %>
      <%= link_to "Cancel", student_marks_path, class: "btn btn-warning float-right mr-3" %>
    </div>
  </div>

<% end %>
